
pro status_reformatter::initialise, log_path, sdate, edate, padding=padding, trace=trace

  self->trace, 'status_reformatter::initialise'

  self.sdate = sdate
  self.edate = edate

  self.padding = 0
  if keyword_set(padding) then self.padding = padding

  self.start_times       = ['0000','0130','0300','0430','0600','0730','0900','1030','1200','1330','1500','1630','1800','1930','2100','2230']
  self.end_times         = ['0130','0300','0430','0600','0730','0900','1030','1200','1330','1500','1630','1800','1930','2100','2230','0000']
  self.elapsed_time      = [0, 5400, 10800, 16200, 21600, 27000, 32400, 37800, 43200, 48600, 54000, 59400, 64800, 70200, 75600, 81000]
  self.timing_file_types = ['STS1','STS2','STS3','HK1','HK2','SOT','MDP','HK3']
  self.split_file_types  = ['sts1','sts2','sts3','hk1','hk2','sot','eismdp','aocs1']
  self.status_apids      = ['05C4'x, '05C6'x, '05C8'x, '0420'x, '0428'x, '0542'x, '05C2'x, '0440'x]

  self.reformatters = ['eis_sts1_reformatter', 'eis_sts2_reformatter','eis_sts3_reformatter','eis_hk1_reformatter','eis_hk2_reformatter','eis_sot_reformatter','eis_eismdp_reformatter','eis_aocs1_reformatter']

  self.local_logger = ptr_new(obj_new('eis_logger'))
  if keyword_set(trace) then *self.local_logger->set_trace, trace=trace

  success = *self.local_logger->open_log(log_path, /append)

  start_time = systime()
  self->log, 'status_reformatter started on ' + strtrim(string(start_time),2)
  self->log, ''

  self.packet_source_directory = '/home/sbukeis/work/localdata/sdtp/merge/split/tmp'
  self.destination_directory   = ''

  self.timing_directory = ''
  self.timing_files_directory = ''
       
end
